# xfrect

fill a rectangle

## Calling Sequence

    xfrect(x,y,w,h)
                xfrect(rect) // rect =[x,y,w,h]

## Arguments

x,y,w,h

  four real values defining the rectangle.

## Description

`xrect` fills a rectangle defined by `[x,y,w,h]` (upper-left point, width, height) in user coordinates.

## Examples

    plot2d(0,0,-1,"010"," ",[-2,-2,2,2])
    xset("color",5)
    xfrect(-1,1,2,2)

plot2d(0,0,-1,"010"," ",[-2,-2,2,2]) xset("color",5) xfrect(-1,1,2,2)

## See Also

- xrect
- xrects